Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.resource
Interface ParameterizedDataResource

All Superinterfaces:
  Resource

    public interface ParameterizedDataResource

extends Resource

A resource that provides access to data, where the data can vary based on parameters. A common example is a dictionary, where the dictionary data is dependent upon the language being analyzed.

The `getDataResource(String[])` takes an array of string parameters and returns a `DataResource` object that can be used to access the data that is appropriate for those parameter values.

Field Summary

Fields inherited from interface org.apache.uima.resource.Resource
`PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_PARAM_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_RESOURCE_MANAGER, PARAM_UIMA_CONTEXT`

Method Summary
`DataResource` | `getDataResource(String[] aParams)` Gets a `DataResource` object that can be used to access the data that is appropriate for the given parameter values.

Methods inherited from interface org.apache.uima.resource.Resource
`destroy, getLogger, getMetaData, getResourceManager, getUimaContext, getUimaContextAdmin, initialize, setLogger`

Method Detail

### getDataResource

    DataResource getDataResource(String[] aParams)
                                 throws ResourceInitializationException

  Gets a `DataResource` object that can be used to access the data that is appropriate for the given parameter values.

  Parameters:
    `aParams` - parameter values
  Returns:
    an object providing access to the resource data, `null`
  Throws:
    `ResourceInitializationException` - if no `DataResource` could be initialized from the specified parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.